Closed Bug 194347 Opened 17 years ago Closed 17 years ago

OS-specific instructions for OS X no longer needs patch for GD perl module

Categories

(Bugzilla :: Documentation, defect, P2)

2.17.3
PowerPC
macOS
defect

Tracking

()

RESOLVED FIXED
Bugzilla 2.18

People

(Reporter: justdave, Assigned: jacob)

Details

Fink now has libgd 2.09 available.

The Perl GD module 2.06 compiles out of the box on OS X.  No patch needed.  We
can still recommend using Fink to obtain libgd ("fink install gd2"), and they
need to remember to enter "/sw/lib" when the Perl module configure script asks
them where libgd is installed.
while we're on that topic...

expat can also be obtained via fink ("fink install expat")

you will need to do "look XML::Parser" from cpan, then do

perl Makefile.PL EXPATLIBPATH=/sw/lib EXPATINCPATH=/sw/include
make; make test; make install
Priority: -- → P2
Target Milestone: --- → Bugzilla 2.18
RCS file: /cvsroot/mozilla/webtools/bugzilla/docs/images/callouts/3.gif,v
done
Checking in images/callouts/3.gif;
/cvsroot/mozilla/webtools/bugzilla/docs/images/callouts/3.gif,v  <--  3.gif
initial revision: 1.1
done
Removing xml/gd-makefile.patch;
/cvsroot/mozilla/webtools/bugzilla/docs/xml/gd-makefile.patch,v  <-- 
gd-makefile.patch
new revision: delete; previous revision: 1.2
done
Checking in xml/installation.xml;
/cvsroot/mozilla/webtools/bugzilla/docs/xml/installation.xml,v  <-- 
installation.xml
new revision: 1.53; previous revision: 1.52
done
Status: NEW → RESOLVED
Closed: 17 years ago
Resolution: --- → FIXED
QA Contact: matty_is_a_geek → default-qa
You need to log in before you can comment on or make changes to this bug.